﻿using MediatR;

namespace Chatbot.Api.Application.Commands
{
    public abstract class Command<TResponse> : ICommand, IRequest<TResponse>
    {
        public Metadata Metadata { get; }

        protected Command(Metadata metadata)
        {
            Metadata = metadata;
        }
    }

    public interface ICommand
    {
    }
}
